# Daemon configuration

The daemon is configurable by config.txt.
This file must be in the same directory as the binary.

### Configuration Values
`port` : The port where the server listens. Must be a valid port.
`interface` : The sniffer interface you want to use.
`userdatabase` : The file where userdata is stored in format: user;password
`filedirectory` : The directory where files from the clients will be stored and read from
`SSLenabled` : When set to true, the server will only use and accept SSL connections from clients. Set to false to disable this
`SSLcertificate` : The certificate file to use for SSL connections
`SSLprivatekey` : The private key file to use for SSL connections
`SSLdhparams` : The diffie-hellman file to use for SSL connections

### Notes about SSL
To use SSL, certificates, keys and diffie-hellman parameters are required. To generate these, a convenience script `createsslfiles.sh` is provided.
The names of the output files are controlled with variables at the top of the script, modify these if desired.
Assuming default names, place the `user.crt`, `user.key` and `dh2048.pem` files somewhere convenient and configure the server accordingly.
Place the `rootca.crt` certificate in the directory you intend to run the client from.

If you get an error about SSL related files not being found despite them existing, shorten the names of the files.
If you cannot connect and the server prints a error related to TLSv1, ensure your version of boost and OpenSSL are up to date.

### Example for config.txt
```
port=1234
interface=lo
userdatabase=user Storage.txt
filedirectory=./files/
SSLenabled=true
SSLcertificate=user.crt
SSLprivatekey=user.key
SSLdhparams=dh2048.pem
```
