import QtQuick 2.12
import QtQuick.Controls 2.5

ApplicationWindow {
    id: window
    visible: true
    width: 1280
    height: 720
    maximumHeight: height
    maximumWidth: width
    font.capitalization: Font.MixedCase

    minimumHeight: height
    minimumWidth: width
    title: qsTr("Covert Channel - Control Panel")

    SwipeView {
        id: swipeView
        anchors.fill: parent
        currentIndex: header.currentIndex

        SendingForm {

        }

        ReceivingForm {

        }

        MessagesForm {

        }

        SettingsForm {

        }

        HelpForm {

        }
    }

    header: TabBar {
        id: header
        currentIndex: swipeView.currentIndex
        contentHeight: 50

        TabButton {
            text: qsTr("Sending")
        }

        TabButton {
            text: qsTr("Receiving")
        }

        TabButton {
            text: qsTr("Messages")
        }

        TabButton {
            text: qsTr("Settings")
        }

        TabButton {
            text: qsTr("Help")
        }
    }

    footer: FooterForm {

    }

    LoginSignupPopup {
        id: loginSignupPopup
    }

    IpPopup {
        id: ipPopup
        onClosed: loginSignupPopup.open()
    }

    Component.onCompleted: {
      swipeView.interactive = false
      ipPopup.open()
    }
}
